Get Installed Skill Endpoint
curl --request GET \
--url https://api.example.com/api/skills/installed/{skill_name} \
--header 'X-Session-API-Key: <api-key>'import requests
url = "https://api.example.com/api/skills/installed/{skill_name}"
headers = {"X-Session-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-API-Key': '<api-key>'}};
fetch('https://api.example.com/api/skills/installed/{skill_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"install_path": "<string>",
"installed_at": "<string>",
"name": "<string>",
"source": "<string>",
"description": "",
"enabled": true,
"repo_path": "<string>",
"resolved_ref": "<string>",
"version": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Skills
Get Installed Skill Endpoint
Get information about a specific installed skill.
Args: skill_name: Name of the skill to get.
Returns: InstalledSkillResponse with skill details.
Raises: HTTPException 404: If the skill is not installed.
GET
/
api
/
skills
/
installed
/
{skill_name}
Get Installed Skill Endpoint
Authorizations
Path Parameters
Skill name (lowercase alphanumeric, hyphens)
Required string length:
1 - 255Pattern:
^[a-z0-9]+(-[a-z0-9]+)*$Response
Successful Response
Response containing installed skill information.
Path where the skill is installed
ISO 8601 timestamp of installation
Skill name
Original source (e.g., 'github:owner/repo')
Skill description
Whether the skill is enabled
Subdirectory path within the repository
Resolved git commit SHA
Skill version
Was this page helpful?

